Subject: Re: [PATCH] revision: fix missing null for freed memory

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Feb 2025 15:09:58 -0800

Jeff King <[email-masked]> writes:

> Doing that shows that v2.37.0 is actually bad. And bisecting shows that
> it has been broken since 087c745833 (log: add a --no-graph option,
> 2022-02-11), which is not too surprising.

Yeah, broken from its beginning is usually how these kinds of bugs
turn out to be.

> I've also run into non-determinism when bisecting like this, because my
> test command depends on the value of HEAD. The best solution here is to
> just feed a stable tip to git-log. I bisected on:
>
>   git log --graph --no-graph --patch origin >/dev/null
>
> (I didn't need "-2" because good commits failed with "unrecognized
> argument" and bad ones were killed by ASan immediately ;) ).

Thanks for sharing a good tip.